%define pkg_name        IO-String
%define pkg_version     1.08
%define rpm_pkg_version 1.08
%define rpm_pkg_release 3.n0i.12

Summary:       IO::File interface for in-core strings
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GA/GAAS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
The "IO::String" module provides the "IO::File" interface for in-core strings.
An "IO::String" object can be attached to a string, and makes it possible to
use the normal file operations for reading or writing data, as well as for
seeking to various locations of the string. This is useful when you want to
use a library module that only provides an interface to file handles on data
that you have in a string variable.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.08-3.n0i.12
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 1.08-2.n0i.11
- automatic rebuild (perl 5.8.8)

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 1.08-1.n0i.10
- version 1.08

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 1.07-1.n0i.9
- version 1.07

* Thu Jul 21 2005 Marius Feraru <altblue@n0i.net> 1.06-3.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.06-2.n0i.7
- automatic rebuild (perl 5.8.6)

* Mon Nov 29 2004 Marius FERARU <altblue@n0i.net> 0:1.06-1.n0i.6
- version 1.06

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.05-3.n0i.5
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:1.05-2.n0i.4
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:1.05-1.n0i.3
- version 1.05
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Thu Jan 22 2004 Marius FERARU <altblue@n0i.net> 0:1.04-0.n0i.2
- version 1.04

* Thu Jan 01 2004 Marius FERARU <altblue@n0i.net> 0:1.03-0.n0i.1
- version 1.03
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
